/*
 * Author: Jonas Hellsten
 * Created: den 26 november 2003 16:47:56
 * Modified: den 26 november 2003 16:47:56
 */
import java.awt.*;
import javax.swing.*;
import java.util.*;

public class User
{
	public String name;
	public String id;
	public ColorHSV userColor = null;
	public boolean admin = false;
	public boolean matte = false;
	public boolean svenska = false;
	public boolean fysik = false;
	public boolean engelska = false;
	public boolean kemi = false;
	public boolean samm = false;
	
	
	public User( String name){
		this.name = name;
		this.id = "no id";
		userColor = new ColorHSV(0);
	}
	public User(String id, String name){
		this.name = name;
		this.id = id;
		userColor = new ColorHSV(0);
	}
	public User( String id, String name, int hue){
		this.name = name;
		this.id = id;
		userColor = new ColorHSV( hue );
	}
	public User( String name, ColorHSV hue){
		this.name = name;
		this.id = "noUse";
		userColor = hue ;
	}
	public String[] getSubject(){
		int length = 0;
		if (matte)
			length++;
		if (svenska)
			length++;
		if (fysik)
			length++;
		if (engelska)
			length++;
		if (kemi)
			length++;
		if (samm)
			length++;
		if (length == 0){
			String returnString[] = new String[1];
			returnString[0] = "Inget mne valt";
			}
 		String returnString[] = new String[length];
		length = 0;
		if (matte)
			returnString[length++] = "Matematik";
		if (svenska)
			returnString[length++] = "Svenska";
		if (fysik)
			returnString[length++] = "Fysik";
		if (engelska)
			returnString[length++] = "Engelska";
		if (kemi)
			returnString[length++] = "Kemi";
		if (samm)
			returnString[length++] = "KomA";
		return returnString;
	}
	public void setColor(double hue){
		this.userColor = new ColorHSV(hue);
	}
	public int getHue(){
		return (int)userColor.h;
	}
	public Color getColor(){
	return userColor.getRGB();
	}

}
